import { DeepClient, SerialOperation } from '@deep-foundation/deeplinks/imports/client';
import { Link } from '@deep-foundation/deeplinks/imports/minilinks';
/**
  * Gets serial operations to update {@link LinkName.ServiceAccount}
  *
  * @example
  * #### Update {@link LinkName.ServiceAccount}
 ```ts
 const serialOperations = await getServiceAccountValueInsertSerialOperations({
   deep,
   serviceAccount: {
     title,
     body,
   }
 });
 await deep.serial({
   operations: serialOperations
 })
 ```
  */
export declare function getServiceAccountValueInsertSerialOperations(param: GetServiceAccountValueUpdateSerialOperationsParam): Promise<Array<SerialOperation>>;
export type GetServiceAccountValueUpdateSerialOperationsParam = {
    /**
     * DeepClient
     */
    deep: DeepClient;
    /**
     * Service Account
     */
    serviceAccount: object;
} & ({
    /**
     * ServiceAccount Link Id
     */
    serviceAccountLinkId: number;
} | {
    /**
     * ServiceAccount Link
     */
    serviceAccountLink: Link<number>;
});
